package com.example.furintiture.data

import com.example.furintiture.data.api.FurnitureApi
import kotlinx.serialization.json.Json
import okhttp3.MediaType.Companion.toMediaType
import retrofit2.Retrofit
import retrofit2.converter.kotlinx.serialization.asConverterFactory

private const val BASE_URL = "http://185.207.0.137:8090"
object RetrofitClient {
    private val mediaType = "application/json".toMediaType()
    private val client by lazy {
        Retrofit.Builder()
            .baseUrl(BASE_URL)
            .addConverterFactory(Json.asConverterFactory(mediaType))
            .build()
    }
    val api by lazy {
        client.create(FurnitureApi::class.java)
    }
}