package com.example.furintiture.model.request

import com.example.furintiture.configure.UuidSerializer
import kotlinx.serialization.Serializable
import java.util.UUID
@Serializable
data class AddToCartRequest(
    @Serializable(with = UuidSerializer::class)
    val uuid: UUID,
    val furnitureId: Long,
    val count: Int,
)