package com.example.furintiture.model.request

import com.example.furintiture.configure.BigDecimalSerializer
import kotlinx.serialization.Serializable
import java.math.BigDecimal
@Serializable
data class CreateOrderItemRequest(
    val furnitureId : Long,
    @Serializable(with = BigDecimalSerializer::class)
    val furniturePrice: BigDecimal,
    val count: Int
)
