package com.example.furintiture.model.response

import com.example.furintiture.configure.BigDecimalSerializer
import kotlinx.serialization.Serializable
import java.math.BigDecimal
@Serializable
data class OrderItemResponse(
    val furnitureId : Long,
    val orderId : Long,
    @Serializable(with = BigDecimalSerializer::class)
    val furniturePrice: BigDecimal,
    val count: Int,
    val furnitureResponse: FurnitureResponse
)
