package com.example.furintiture.ui.screen.detail

import com.example.furintiture.model.response.FurnitureCategoryResponse
import com.example.furintiture.model.response.FurnitureResponse
import java.math.BigDecimal

data class DetailScreenState(
    val furnitureResponse: FurnitureResponse = FurnitureResponse(
        id = 1,
        name = "Стул",
        price = BigDecimal("1000.5"),
        description = "Этот стул выполнен из натурального дуба, что придает ему прочность и долговечность. Спинка украшена резными узорами, напоминающими старинные европейские интерьеры. Сиденье обито мягкой тканью с антикварным орнаментом, обеспечивая комфорт во время сидения. Ножки слегка изогнуты, что добавляет изделию элегантности. Такой стул идеально впишется в гостиную или столовую в классическом стиле, создавая атмосферу уюта и респектабельности.",
        sale = BigDecimal("0.40"),
        url = "https://laurendanger.com/wp-content/uploads/sites/33/2024/10/IMG_3826.jpeg",
        category = FurnitureCategoryResponse(
            id = 1,
            name = "!@3"
        ),
        shopCategories = emptyList()
    ),
    var error: String? = null
)
