package com.example.furintiture.ui.screen.main

import com.example.furintiture.model.response.AllShopCategoryResponse
import com.example.furintiture.model.response.FurnitureResponse
import com.example.furintiture.model.response.SaleResponse
import com.example.furintiture.model.response.ShopCategoryResponse
import com.example.furintiture.model.response.UserResponse

data class MainScreenState(
    var sales: List<SaleResponse> = emptyList(),
    var shopCategories: List<AllShopCategoryResponse> = emptyList(),
    var addresses:  List<String> = emptyList(),
    var cartItems: List<FurnitureResponse> = emptyList(),
    var error: String? = null,
    val profile: UserResponse? = null
)