package com.example.furintiture.model.response

import com.example.furintiture.configure.UuidSerializer
import kotlinx.serialization.Serializable
import java.util.*
@Serializable
data class UserResponse(
    @Serializable(with = UuidSerializer::class)
    val userUuid: UUID,
    val email: String,
    val firstName: String,
    val lastName: String,
    val imageUrl: String? = null,
    val address: AddressResponse? = null,
    )